Subject: WG Action: RECHARTER: Multiprotocol Label Switching (mpls)

From: The IESG <[email-masked]>
Date: Tue, 21 Oct 2003 10:38:05 -0400

The Multiprotocol Label Switching (mpls) working group in the Routing Area of 
the IETF has been rechartered.  For additional information, please contact 
the Area Directors or the working group Chairs.

With this announcement, the Multiprotocol Label Switching (mpls) WG is moved 
to the Routing Area with Alex Zinin as the responsible area director.

Multiprotocol Label Switching (mpls)
------------------------------------

Current Status: Active Working Group

Chair(s):

George Swallow <[email-masked]>
Loa Andersson <[email-masked]>

Routing Area Director(s):

Bill Fenner <[email-masked]>
Alex Zinin <[email-masked]>

Routing Area Advisor:

Alex Zinin <[email-masked]>

Mailing Lists:

General Discussion: [email-masked]
To Subscribe: [email-masked]
In Body: subscribe (unsubscribe)
Archive: http://cell.onecall.net/cell-relay/archives/mpls/mpls.index.html

Description of Working Group:

The MPLS working group is responsible for standardizing a base
technology for using label switching and for the implementation of
label-switched paths over various packet based link-level
technologies, such as Packet-over-Sonet, Frame Relay, ATM, and
LAN technologies (e.g. all forms of Ethernet, Token Ring, etc.).
This includes procedures and protocols for the distribution of
labels between routers and encapsulation.

The working group is also responsible for specifying the necessary
MIBs for the functionality specified in the base MPLS technology.

The first generation of the MPLS standards are largely complete,
and the current WG work items are:

- procedures and protocols for multicast protocol extensions for
  point-to-multipoint TE, including soft-preemption

- Define requirements and mechanisms for MPLS OAM

- Define an overall OAM framework for MPLS applications

- MPLS-specific aspects of traffic engineering for multi-areas/multi-AS
  in cooperation with the CCAMP WG

- Determine (with CCAMP) what procedures are appropriate for evaluating
  proposals to extend the MPLS and GMPLS protocols, and document these

The Working Group chairs tracking of the working group documents can be
viewed at http://urax.utfors.net/~loa/MPLS_WG_Drafts.htm

Goals and Milestones:

Done Submit documents from original MPLS effort to IESG
Done Framework for IP multicast over label-switched paths ready for advancement.
Done LDP fault tolerance specification ready for advancement to Proposed Standard.
Done Specification for MPLS-specific recovery ready for advancement.
Done Submit Multiprotocol Label Switching (MPLS) Forward
                   Equivalency Class-To-Next Hop Label Forwarding Entry
                   Management Information Base to the IESG for publication as
                   Proposed Standards
Done Submit Definitions of Managed Objects for MultoiProtocol
                   Label Switching, Label Distribution Protocol (LDP) to the
                   IESG for publication as Proposed Standards
Done Submit Multiprotocol Label Switching (MPLS) Label Switching
                   Router (LSR), Management Information Base to the IESG for
                   publication as Proposed Standards
Done Submit Multiprotocol Label Switching (MPLS) Management Overview
                   to the IESG for publication as Proposed Standards
Done Submit Definitions of Textual Conventions for Multiprotocol
                   Label Switching (MPLS) Management to the IESG for publication
                   as Proposed Standards
Done Submit Multiprotocol Label Switching (MPLS) Traffic
                   Engineering Management Information Base to the IESG for
                   publication as Proposed Standards
Oct 03 Advance the Label Distribution Protocol to Draft Standard.
Oct 03 Submit the Traffic Engineering Link MIB to the IESG for
                   as a Proposed Standard
Oct 03 Submit a specification on Encapsulations to carry MPLS over
                   IP and GRE to the IESG for as a Proposed Standard
Nov 03 Together with CCAMP complete and establish the (G)MPLS change
                   process
Apr 04 Advance MPLS Architecture and MPLS encapsulation to Draft
                   Standard
Apr 04 Submit a specification on Soft Pre-emption of LSP Tunnels to
                   the IESG for publication as a Proposed Standard
Nov 03 Submit specification on LSP Ping to the IESG for publication
                   as a Proposed Standard
Apr 04 Submit specification on LSR Self Test to the IESG for
                   publication as a Proposed Standard
Aug 04 Submit an OAM Framework Document to the IESG for publication
                   as an Informational RFC
Oct 04 Advance "Extension to RSVP for LSP Tunnels" to Draft
                   Standard
Nov 04 Submit a document defining the scope, requirements, and issues 
                   to resolve for setup of P2MP TE LSPs (MPLS and GMPLS)
Mar 04 Submit document(s) specifying protocol extensions, enhancements 
                   and mechanisms for setup of P2MP TE LSPs